# xarray.CFTimeIndex.memory_usage

`CFTimeIndex.``memory_usage`(deep=False)

  Memory usage of the values

  Parameters: | deep (bool) – Introspect the data deeply, interrogate object dtypes for system-level memory consumption
  Returns: |
  Return type: | bytes used

  See also

  `numpy.ndarray.nbytes()`

  Notes

  Memory usage does not include memory consumed by elements that are not components of the array if deep=False or if used on PyPy